Bug 827164

Summary: ThinkPad W520 with nVidia 1000M unbootable when using discrete graphics
Product: [Fedora] Fedora Reporter: Joel Uckelman <uckelman>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 22CC: cjashfor, gansalmon, itamar, jforbes, jglotzer, jonathan, kernel-maint, madhu.chinakonda, sergei.shtylyov, uckelman
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 14:57:25 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Joel Uckelman 2012-05-31 15:32:57 EDT
Description of problem:

I have a ThinkPad W520 with both nVidia Quadro 1000M and Intel graphics chiptsets. I am using the nouveau driver for the nVidia card. When the BIOS is set to use only discrete graphics (the nVidia chipset) instead of integrated graphics (the Intel chipset), booting hangs at the "Loading initial ramdisk ..." message displayed by GRUB.

I discovered that booting hangs here with:

  no additional kernel options
  acpi=ht
  pnpacpi=off

And booting succeeds with:

  pci=noacpi
  acpi=noirq
  noapic
  nolapic
  nox2apic

Version-Release number of selected component (if applicable):

kernel-3.3.7-1.fc17.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. Turn on discrete graphics.
2. Try to boot.
  
Actual results:

Boot hangs.

Expected results:

Boot should succeed.

Additional info:

I'm happy to provide any other information required, please ask.
Comment 1 Josh Boyer 2012-07-10 12:41:16 EDT
Does this still happen with the 3.4.4-5 kernel update?
Comment 2 Joel Uckelman 2012-07-14 05:19:05 EDT
(In reply to comment #1)
> Does this still happen with the 3.4.4-5 kernel update?

Yes---but with 3.4.4-5 I've only tried booting with nox2apic (works) and with no additional options (hangs).
Comment 3 Joel Uckelman 2012-07-15 05:32:53 EDT
It turns out that with 3.4.4-5 and no additional kernel options, it only hangs *sometimes*. I've now booted successfully once this way while not on the dock (out of one try total), and once while on the dock (out of two tries total).
Comment 4 Joel Uckelman 2012-07-17 06:48:03 EDT
Being on or off the dock seems to make no difference. I've now had the kernel hang in the same way booting off the dock when supplying no additional kernel options. It seems random whether the hang happens. Maybe there's a race going on?

Two other things:

* When these hangs happen, within a few seconds, one of the internal fans ramps up to full speed. That hardly ever happens during normal usage, even when I'm doing intensive things like compiling with 'make -j8'.

* Sometime after the 3.3.7 (the kernel against which I originally reported the problem), I started having a blank screen when the kernel hangs, instead of the last message from GRUB remaining on the screen.

Is there any other information I can provide for troubleshooting this?
Comment 5 Joel Uckelman 2012-09-22 06:46:34 EDT
This problem has changed and gotten worse with the 3.5 kernels. The problem is different in that I can no longer boot reliably with nox2apic or even noapic, but sometimes (maybe 1 in 5 times) am able to boot without specifying any kernel options. The problem is worse in that I now have no reliable way to boot---before, I was able to boot consistently with nox2apic.

This smells like a race condition to me.

Currently running kernel 3.5.3-1.fc17.x86_64.
Comment 6 John Glotzer 2012-09-26 15:54:28 EDT
Pretty much same as Joel Uckelman. Started using a dock today and based on only
two attempts 3.5.3-1.fc17.x86_64 succeeded while 3.5.4-1.fc17.x86_64 hung.

Didn't do it enough times to draw any conclusion other than the problem is
still there. Lenovo W520 with doc, Fedora 17.
Comment 7 John Glotzer 2012-09-26 15:55:34 EDT
When I say "started using dock today" what that really means is "started using discrete graphics BIOS setting today".
Comment 8 Joel Uckelman 2012-11-24 08:41:50 EST
This problem still happens with kernel 3.6.7-4.fc17.x86_64.
Comment 9 John Glotzer 2012-11-25 14:44:59 EST
{2:42pm 0 W520-fedora} ~ > cat /proc/cmdline 
BOOT_IMAGE=/vmlinuz-3.6.7-4.fc17.x86_64 root=UUID=ab686964-0ca8-4f00-8d9b-39753d89a74b ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8 rhgb quiet noapic nouveau.modeset=0 rd.driver.blacklist=nouveau

{2:43pm 0 W520-fedora} ~ > uname -a
Linux W520-fedora.localdomain 3.6.7-4.fc17.x86_64 #1 SMP Tue Nov 20 19:40:01 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Boots reliably (every time) with discrete graphics - noapic is the key I think.
Comment 10 Joel Uckelman 2013-01-27 06:51:25 EST
This problem still occurs with kernel 3.7.3-101.fc17.x86_64.
Comment 11 Joel Uckelman 2013-03-03 16:52:05 EST
This problem still occurs with kernel 3.8.1-201.fc18.x86_64.
Comment 12 Joel Uckelman 2013-04-18 04:36:56 EDT
This problem still occurs with kernel 3.8.7-201.fc18.x86_64.
Comment 13 Justin M. Forbes 2013-10-18 17:14:40 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 14 Joel Uckelman 2013-10-24 03:39:46 EDT
This problem still occurs with kernel-3.11.4-101.fc18.x86_64.
Comment 15 Fedora End Of Life 2013-12-21 03:37:30 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Joel Uckelman 2014-01-09 17:18:40 EST
This problem still occurs with kernel-3.11.10-100.fc18.x86_64.
Comment 17 Joel Uckelman 2014-01-16 05:03:53 EST
This problem still occurs with kernel-3.12.7-300.fc20.x86_64, and also with the Fedora 20 installer used by fedup.
Comment 18 Justin M. Forbes 2014-02-24 08:59:19 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 19 Justin M. Forbes 2014-03-17 14:42:48 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for several weeks and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 20, please feel free to reopen the bug and provide the additional information requested.
Comment 20 Joel Uckelman 2014-03-26 14:51:43 EDT
This problem still occurs with kernel-3.13.6-200.fc20.x86_64.
Comment 21 Justin M. Forbes 2014-05-21 15:39:42 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.14.4-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 22 Josh Boyer 2014-06-18 09:56:03 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 23 Joel Uckelman 2014-06-18 10:30:59 EDT
The problem still occurs with 3.14.7-200.fc20.x86_64.
Comment 24 Justin M. Forbes 2014-11-13 11:01:53 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.
Comment 25 Joel Uckelman 2014-11-17 17:39:54 EST
The problem still occurs with 3.17.2-200.fc20.x86_64.
Comment 26 Fedora Kernel Team 2015-02-24 11:22:16 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.18.7-100.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.
Comment 27 Fedora Kernel Team 2015-04-28 14:23:16 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 28 Joel Uckelman 2015-04-28 14:56:46 EDT
This still happens with 3.18.9-100.fc20.x86_64.
Comment 29 Justin M. Forbes 2015-04-28 15:22:40 EDT
How about 3.19.5-100.fc20? 3.18.9 is still a bit old.
Comment 30 Fedora End Of Life 2015-05-29 04:44:56 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 31 Joel Uckelman 2015-06-25 09:14:28 EDT
This still happens with kernel-4.0.5-300.fc22.x86_64.
Comment 32 Corey Ashford 2015-07-13 01:08:35 EDT
(In reply to Joel Uckelman from comment #31)
> This still happens with kernel-4.0.5-300.fc22.x86_64.

Interesting.  I have what I think is the exact same hardware - W520 with a Quadro 1000M Nvidia chip, and I am using discrete graphics as well.  I haven't had this problem booting (yet), however I do have problems using external monitors with the nouveau driver.

On a related issue, I haven't been able to get the Nvidia drivers to work at all, despite many attempts, following many sets of instructions out there on the web.  Fail Fail Fail :(   Have you tried the Nvidia drivers?
Comment 33 Sergei Shtylyov 2015-08-09 17:22:08 EDT
> This still happens with kernel-4.0.5-300.fc22.x86_64.

I have ThinkPad W540 with NVidia Quadro K1100M, and for me the boot hangs (unless <Esc> is pressed to get the Fedora startup log) since I installed Fedora 22 (3.11.? kernel) and after I upgraded to Fedora 21 (currently 4.0.8 I think).

The screen typically gets flooded with the following message:

nouveau E[  PFIFO[0000:01:00.0] SCHED_ERROR [UNK06]

Last time I tried couple more messages followed before the boot hanged:

nouveau E[    DRM] failed to idle channel 0xcccc0000 [DRM]
pci_pm_runtime_suspend(): nouveau_pmops_runtime_suspend 0x0/0xf0 [nouveau] returns -16
Comment 34 Sergei Shtylyov 2015-08-09 17:25:23 EDT
(In reply to Sergei Shtylyov from comment #33)
> > This still happens with kernel-4.0.5-300.fc22.x86_64.
> 
> I have ThinkPad W540 with NVidia Quadro K1100M, and for me the boot hangs
> (unless <Esc> is pressed to get the Fedora startup log) since I installed
> Fedora 22 (3.11.? kernel)

Fedora 20, of course. :-)
Comment 35 Sergei Shtylyov 2015-08-10 16:07:13 EDT
(In reply to Sergei Shtylyov from comment #33)

> I have ThinkPad W540 with NVidia Quadro K1100M, and for me the boot hangs
> (unless <Esc> is pressed to get the Fedora startup log) since I installed
> Fedora 22 (3.11.? kernel) and after I upgraded to Fedora 21 (currently 4.0.8
> I think).

> The screen typically gets flooded with the following message:

> nouveau E[  PFIFO[0000:01:00.0] SCHED_ERROR [UNK06]

> Last time I tried couple more messages followed before the boot hanged:

> nouveau E[    DRM] failed to idle channel 0xcccc0000 [DRM]
> pci_pm_runtime_suspend(): nouveau_pmops_runtime_suspend 0x0/0xf0 [nouveau]
> returns -16

I guess I need a fresh new bug filed since my symptoms aren't quite the same (I've also got a kernel oops once)?
Comment 36 Justin M. Forbes 2015-10-20 15:35:40 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 37 Fedora Kernel Team 2015-11-23 12:20:39 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 38 Joel Uckelman 2015-11-23 12:32:09 EST
This still happens with kernel-4.2.5-201.fc22.x86_64.
Comment 39 Corey Ashford 2015-11-23 14:22:43 EST
I have the same hardware on F22, and it is working for me as of a few kernel versions ago (and still works with 4.2.5-201.fc22.x86_64).  I have two external monitors connected (lid closed), and it's working fine.
Comment 40 Fedora End Of Life 2016-07-19 14:57:25 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.